View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
00001583D-Coat v3.xOtherpublic2011-02-14 12:522011-12-01 09:19
Assigned ToAndrew 
PlatformPCOSWindows 7OS Version64 Bit
Product Version 
Target VersionFixed in Version 
Summary0000158: FBX import is not working with all FBX files

I've tried to import FBX files, we created here for a recent big games project.
The files were not imported into 3D Coat. We created the files in softimage by using the regular crosswalk plugin.

Thank you
Steps To ReproduceSee attachment. I prepared a test file.
TagsNo tags attached.
Attached Files? file icon softimage_exporttest01.fbx [^] (34,832 bytes) 2011-02-14 12:52

- Relationships

-  Notes
guest (viewer)
2011-02-14 15:26


The same problem here.
I exported FBX file from Maya and Mudbox.
The textures did not come with the models in 3D-coat.

Exporting FBX from 3d-coat crashes 3d-coat as well.

Thank you.
haikalle (developer)
2011-03-11 18:27
edited on: 2011-03-26 19:55

I tried with your file and it gives warning windows "model is empty" (Micro-verts mode)
I opened it in modo. scale it up a little bit, then tried again and this time 3d-coat crashed. I send crash report to Andrew and linked this mantis report.

to sculpt fbx objects it would be nice if 3d-coat could respect edge weights.

haikalle (developer)
2011-04-05 00:20


I tried this again and with the latest 3d-coat version it opens the mesh. I tried to open this mesh in modo. And really looks strange. Modo only shows edges but not faces. Taros, are you sure that this mesh is ok?
Taros (administrator)
2011-04-05 09:45
edited on: 2011-04-05 09:45

I've imported my fbx file into Softimage, it works here. The example file should be a simple torus.
By the way: It will be not imported in the current 3DC version (3.5.16D). 3DS Max can import it.

haikalle (developer)
2011-04-13 15:56
edited on: 2011-04-13 15:58

I think that 3d-coat supports only older fbx 2006.11 files. Not yet the new fbx files. So This like bug/feature request. Taros. Are you able to save meshes into older fbx in Softimage to test this out?

Taros (administrator)
2011-04-13 16:22

No, not anymore. I am using the current version of softimage/the FBX-plugin.
Andrew (administrator)
2011-05-05 16:09

FBX upfated to Fbx2012, problem solved.

- Issue History
Date Modified Username Field Change
2011-02-14 12:52 Taros New Issue
2011-02-14 12:52 Taros Status new => assigned
2011-02-14 12:52 Taros Assigned To => Andrew
2011-02-14 12:52 Taros File Added: softimage_exporttest01.fbx
2011-02-14 15:26 guest Note Added: 0000292
2011-03-11 18:27 haikalle Note Added: 0000413
2011-03-11 18:42 haikalle Note Edited: 0000413 View Revisions
2011-03-26 19:55 haikalle Note Edited: 0000413 View Revisions
2011-04-05 00:20 haikalle Note Added: 0000508
2011-04-05 09:45 Taros Note Added: 0000510
2011-04-05 09:45 Taros Note Edited: 0000510 View Revisions
2011-04-13 15:56 haikalle Note Added: 0000557
2011-04-13 15:58 haikalle Note Edited: 0000557 View Revisions
2011-04-13 16:21 guest Note Added: 0000558
2011-04-13 16:21 guest Note Deleted: 0000558
2011-04-13 16:22 Taros Note Added: 0000559
2011-05-05 16:09 Andrew Note Added: 0000650
2011-05-05 16:09 Andrew Status assigned => resolved
2011-05-05 16:09 Andrew Resolution open => fixed
2011-12-01 09:19 Taros Status resolved => closed

Copyright © 2000 - 2016 MantisBT Team
Powered by Mantis Bugtracker